//.################################################
//# Copyright © 2006-2010 Evolving Software Ltd   #
//# Author: Vijay Patel                           #
//################################################'

using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;

using TestApplicationDomainModel;

using Evolving.DomainTypes;
using Evolving.TrueView.Domain.Attributes;
using Evolving.TrueView.UI;
using System.Drawing;
using System.Windows.Forms;
using TestApplicationDomainModel.Objects;

namespace TestApplication
{

    public class SubProductBPresenter : IPresenterInfrastructureService<SubProductB>
    {


        public void ApplyStyle(SubProductB domainObject, System.Reflection.MemberInfo memberInfo, IStyleArgs memberStyle)
        {
              switch (memberInfo.Name)
              {
                  case "Name":
                      memberStyle.ForeColor = Color.AliceBlue;
                      memberStyle.BackColor = Color.Navy;
                      memberStyle.ToolTipText = "123";
                      break;

                  case "Description":
                      memberStyle.ForeColor = Color.Navy;
                      memberStyle.BackColor = Color.AliceBlue;
                      break;
              }
        }

        public void ApplyStyle(SubProductB domainObject, IStyleArgs objectStyle)
        {
            objectStyle.IconName = "Search";
        }


        public Control CreateAdornmentFor(SubProductB domainObject)
        {
            return null;
        }

        public Control CreateAdornmentFor(SubProductB domainObject, System.Reflection.PropertyInfo propertyInfo)
        {
            return null;
        }

        public Control CreateViewFor(SubProductB domainObject)
        {
            return null;
        }

    }
}
